Bug 167921 - Incomming sequence arguments only 4096 elements long
Summary: Incomming sequence arguments only 4096 elements long
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: ORBit2 (Show other bugs)
(Show other bugs)
Version: 4
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-09-09 15:52 UTC by Martin Blom
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-27 06:28:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Martin Blom 2005-09-09 15:52:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
While tracking down what appears to be a memory trashing bug in out ORBit-using software, I noticed that the length of incomming sequences (of floats) had the value 4096 encoded in ORBitMemHow for _buffer, even though the _maximum/_length said (in our case) 8192 or 16777216.


Version-Release number of selected component (if applicable):
ORBit2-2.12.1-3

How reproducible:
Always

Steps to Reproduce:
1. No code, sorry
2.
3.
  

Additional info:


The value 4096 appears in ORBit_demarshal_value(), which in turn calls ORBit_realloc_tcval(). Shouldn't ORBit_realloc_tcval() update the ORBit_MemPrefix and ORBitMemHow information? It seems to me that otherwise, ORBit_free_T() would only call free_fn() on the first 4096 elements.

Not that I think it's related to our memory trashing problems, but I though I sould report it anyway. I suspect it could lead to severe memory leaks if the elements were not plain basic types.

Comment 1 Matthias Clasen 2006-11-27 06:28:30 UTC
Thank you for the bug report. However, Fedora Project no longer maintains this
version of the product. Please upgrade to the latest version and open a new bug
if the problem persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older
releases, and if you believe this bug is interesting to them, please report the
problem against Fedora Legacy component




Note You need to log in before you can comment on or make changes to this bug.